package com.mydomain.helloworld.bpm;

import javax.ejb.Stateless;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.BeginTask;
import org.jboss.seam.annotations.CreateProcess;
import org.jboss.seam.annotations.EndTask;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.core.Actor;

@Stateless
@Name("bpmAction")
public class BpmImpl implements BpmInterface {
	
	//LAB TIP - Make the greeting process scoped. jBPM will store this variable in the database
	//          so that it can be long lived.
	@Out(scope=ScopeType.BUSINESS_PROCESS)
    String greeting = "\n\nLAB 5 GREETING BEGIN\n";
	
    //LAB TIP - Start a new greeting process called "labProcess"
	@CreateProcess(definition="labProcess")
	public String saySomething() {
		return "helloworld";		
	}	
	
}
