package com.mydomain.helloworld.test;

import org.testng.annotations.Test;
import org.jboss.seam.mock.SeamTest;

public class HelloTest extends SeamTest {

	@Test
	public void test() throws Exception {
		new FacesRequest() {
			@Override
			protected void updateModelValues() throws Exception {				
				//set form input to model attributes
			}
			@Override
			protected void invokeApplication() {
				//call action methods here
				invokeMethod("#{hello.hello}");
			}
			@Override
			protected void renderResponse() {
				//check model attributes if needed
			}
		}.run();
	}	
	
	//LAB TIP - test method to call our badGreeting method
	@Test
	public void testShouldFail() throws Exception {
		new FacesRequest() {
			@Override
			protected void updateModelValues() throws Exception {				
				//set form input to model attributes
			}
			@Override
			protected void invokeApplication() {
				
                //LAB TIP - actually invoke the POJO method we want to test
				invokeMethod("#{hello.badGreeting}");
			}
			@Override
			protected void renderResponse() {
				//check model attributes if needed
			}
		}.run();
	}	
}
