package com.mydomain.helloworld;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("auctionBidHome")
public class AuctionBidHome extends EntityHome<AuctionBid> {

	@In(value = "#{auctionUserHome.instance}", required = false)
	AuctionUser auctionUser;

	public void setAuctionBidBidId(Integer id) {
		setId(id);
	}

	public Integer getAuctionBidBidId() {
		return (Integer) getId();
	}

	@Override
	protected AuctionBid createInstance() {
		AuctionBid result = new AuctionBid();
		result.setAuctionUser(auctionUser);
		return result;
	}

}
