package com.mydomain.helloworld;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("auctionItemHome")
public class AuctionItemHome extends EntityHome<AuctionItem> {

	@In(value = "#{auctionUserHome.instance}", required = false)
	AuctionUser auctionUser;

	public void setAuctionItemItemId(Integer id) {
		setId(id);
	}

	public Integer getAuctionItemItemId() {
		return (Integer) getId();
	}

	@Override
	protected AuctionItem createInstance() {
		AuctionItem result = new AuctionItem();
		result.setAuctionUser(auctionUser);
		return result;
	}

}
