package com.mydomain.helloworld;

import java.util.ArrayList;
import java.util.List;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityHome;

@Name("auctionUserHome")
public class AuctionUserHome extends EntityHome<AuctionUser> {

	public void setAuctionUserUserId(Integer id) {
		setId(id);
	}

	public Integer getAuctionUserUserId() {
		return (Integer) getId();
	}

	@Override
	protected AuctionUser createInstance() {
		AuctionUser result = new AuctionUser();
		return result;
	}

	public List<AuctionAddress> getAuctionAddresses() {
		return getInstance() == null ? null : new ArrayList<AuctionAddress>(
				getInstance().getAuctionAddresses());
	}
	public List<AuctionItem> getAuctionItems() {
		return getInstance() == null ? null : new ArrayList<AuctionItem>(
				getInstance().getAuctionItems());
	}
	public List<AuctionBid> getAuctionBids() {
		return getInstance() == null ? null : new ArrayList<AuctionBid>(
				getInstance().getAuctionBids());
	}

}
