package com.mydomain.helloworld.bpm;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Transition;

@Name("helloAction")
public class HelloAction  {
	
    //LAB TIP - retrieve the "greeting" variable and outject(save) it before transitioning
	@In(scope=ScopeType.BUSINESS_PROCESS)
	@Out(scope=ScopeType.BUSINESS_PROCESS)
	String greeting;
	
    //LAB TIP - transition to the next node, after setting the "greeting" variable
	@Transition("next")
	public void hello() {
		greeting = greeting + "HELLO WORLD!\n";	
	}	
	
}
